using System.ComponentModel.DataAnnotations;

namespace iyixiGames.Web.Models
{
    public class LoginViewModel
    {
        [Required(ErrorMessage = "用户名是必填项。")]
        [StringLength(50, ErrorMessage = "用户名长度不能超过50个字符。")]
        public string Username { get; set; }

        [Required(ErrorMessage = "密码是必填项。")]
        [DataType(DataType.Password)]
        public string Password { get; set; }

        [Display(Name = "记住我")]
        public bool RememberMe { get; set; }
    }
}